/**
 * 描述：拓展考核季度比例
 */
shr.defineClass("shr.custom.QuarterlyRatioEdit", shr.framework.Edit, {
	/**
	   * 描述:初始化操作
	   * 
	   * @action
	   */
	initalizeDOM: function () {
		var _self = this;
		shr.custom.QuarterlyRatioEdit.superClass.initalizeDOM.call(this);
	},
	brakAction() {
		var billId = shr.getUrlRequestParam("billId");
		this.reloadPage({
			uipk: "com.custom.expandAssess.dynamicList",
			billId: billId
		});
	},
	/**
	 * 保存
	 */
	saveAction: function (event) {
		$("#entrys").jqGrid("editStop");

		var year = $("#year").val();
		var validYear = this.validateYear(year);
		if (!validYear) {
			shr.showWarning({
				message: '请输入有效年',
				hideAfter: 3
			});
			return;
		}

		$("#name").val($("#score").val());
		//校验保存数据是否完整
		var quarterOne = $("#quarterOne").val();
		var quarterTwo = $("#quarterTwo").val();
		var quarterThree = $("#quarterThree").val();
		var quarterFour = $("#quarterFour").val();

		var sum = quarterOne * 1 + quarterTwo * 1 + quarterThree * 1 + quarterFour * 1
		if (sum == 0 || sum == 100) {
			shr.custom.QuarterlyRatioEdit.superClass.saveAction.call(this);
		} else if (sum > 100) {
			shr.showWarning({
				'message': "比例的和不大于100"
			});
		} else {
			shr.showWarning({
				'message': "比例的和不小于100"
			});
		}

	},
	/**
	 * 校验有效年
	 */
	validateYear: function (year) {
		// 验证年份和月份的格式
		var yearPattern = /^\d{4}$/;
		if (!yearPattern.test(year)) {
			return false; // 年份或者月份格式不正确
		}

		// 构建 Date 对象
		var date = new Date(year);

		// 校验日期的有效性
		if (date.getFullYear() !== parseInt(year)) {
			return false; // 日期不在该年月的有效范围内
		}

		return true; // 年有效
	},

});